;================================================================================================
;
; STANDARD MOVES
; 
;================================================================================================

; Jump Start
;-----------

[Statedef 40]
type = S
physics = S
anim = 40
sprpriority = 1
ctrl = 0

[State 40, var init]
type = VarSet
trigger1 = Time = 0
sysvar(1) = 0

[State 40, var fwd]
type = VarSet
trigger1 = command = "holdfwd"
sysvar(1) = 1

[State 40, var back]
type = VarSet
trigger1 = command = "holdback"
sysvar(1) = -1

[State 40, fwd velocity]
type = VelSet
trigger1 = sysvar(1) = 1
x = const(velocity.jump.fwd.x)

[State 40, back velocity]
type = VelSet
trigger1 = sysvar(1) = -1
x = const(velocity.jump.back.x)

[State 40, neutral vertical velocity]
type = VelSet
trigger1 = sysvar(1) = 0
y = const(velocity.jump.y)

[State 40, moving vertical velocity]
type = VelSet
trigger1 = AnimTime = 0 && sysvar(1) != 0
y = const(velocity.jump.y)

[State 40, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1



; Triangle Jump Start
;--------------------

[Statedef 45]
Type = A
MoveType = I
Physics = A
anim = 48
SprPriority = 1
ctrl = 0

[State 45, turn]
type = Turn
triggerall = time = 0
trigger1 = FrontEdgeBodyDist = 0

[State 45, velocities]
type = VelSet
trigger1 = AnimElem = 2
x = const(velocity.airjump.fwd.x)
y = const(velocity.airjump.y)

[State 45, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, 0
channel = 0

[State 45, jump, sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 100, 1
channel = 1

[State 45, control]
type = CtrlSet
trigger1 = AnimElem = 2
value = 1



; Jump Up
;--------

[Statedef 50]
Type = A
MoveType = I
Physics = A

[State 50, var]
type = VarSet
trigger1 = time = 0
sysvar(1) = 0

[State 50, normal animation]
type = ChangeAnim
trigger1 = time = 0
value = ifelse((vel x)=0, 41, ifelse((vel x)>0, 42, 43))

[State 50, voice]
type = PlaySnd
trigger1 = var(0) = 0 && Time = 1
value = 0, 1
channel = 0

[State 50, jump sound]
type = PlaySnd
trigger1 = Time = 1
value = 100, 1
channel = 1



; Jump Down
;----------

[Statedef 51]
Type = A
MoveType = I
Physics = A

[State 51, null]
type = null
trigger1 = 1



; Jump Land
;----------

[Statedef 52]
Type = S
MoveType = I
Physics = S
velset = 0,0
anim = 47
ctrl = 1

[State 52, position]
type = PosSet
trigger1 = Time = 0
y = 0

[State 52, land sound]
type = PlaySnd
trigger1 = Time = 0
value = 100, 2
channel = 1

[State 52, turn]
type = turn
trigger1 = command = "holdup"
trigger1 = p2dist x < 0

[State 52, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Lay Down
;---------

[Statedef 60]
Type = S
MoveType = A
Physics = S
anim = 60
sprpriority = 1
ctrl = 0

[State 60, invincibility]
type = nothitby
trigger1 = 1
value = SA, AT

[State 60, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Hop Forward
;------------

; Air
;----
[Statedef 62]
Type = A
MoveType = A
Physics = N
anim = 62
sprpriority = 1
velset = 5, -5
ctrl = 0

[State 62, ghost]
type = playerpush
trigger1 = 1
value = 0

[State 62, gravity]
type = veladd
trigger1 = 1
y = 0.45

[State 62, jump sound]
type = PlaySnd
trigger1 = Time = 1
value = 100, 1
channel = 1

[State 62, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 65



; Lower Evade
;------------

[Statedef 64]
Type = A
MoveType = A
Physics = N
anim = 64
sprpriority = 1
velset = 0, -6
ctrl = 0

[State 64, ghost]
type = playerpush
trigger1 = 1
value = 0

[State 64, gravity]
type = veladd
trigger1 = 1
y = 0.6

[State 64, jump sound]
type = PlaySnd
trigger1 = Time = 1
value = 100, 1
channel = 1

[State 64, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 65



; Land
;-----

[Statedef 65]
Type = S
MoveType = I
Physics = S
anim = 65
sprpriority = 1
velset = 0, 0
ctrl = 0

[State 65, ground position]
type = posset
trigger1 = 1
y = 0

[State 65, land sound]
type = PlaySnd
trigger1 = Time = 0
value = 100, 2
channel = 1

[State 65, end state]
type = ChangeState
trigger1 = time = 7
value = 0
ctrl = 1



; Roll Forward
;-------------

[Statedef 66]
type = S
movetype = A
physics = N
anim = 66
sprpriority = 1
velset = 0
ctrl = 0

[State 66, velocity]
type = VelSet
trigger1 = time = 1
x = 8

[State 66, velocity]
type = VelSet
trigger1 = time = 6
x = 7

[State 66, velocity]
type = VelSet
trigger1 = time = 11
x = 6

[State 66, velocity]
type = VelSet
trigger1 = time = 14
x = 5

[State 66, velocity]
type = VelSet
trigger1 = time = 17
x = 4.5

[State 66, velocity]
type = VelSet
trigger1 = time = 21
x = 0

[State 66, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Roll Back
;----------

[Statedef 68]
type = S
movetype = A
physics = N
anim = 68
sprpriority = -2
velset = 0
ctrl = 0

[State 68, velocity]
type = VelSet
trigger1 = time = 1
x = -7

[State 68, velocity]
type = VelSet
trigger1 = time = 3
x = -6.5

[State 68, velocity]
type = VelSet
trigger1 = time = 6
x = -6

[State 68, velocity]
type = VelSet
trigger1 = time = 9
x = -4.5

[State 68, velocity]
type = VelSet
trigger1 = time = 12
x = -4

[State 68, velocity]
type = VelSet
trigger1 = time = 15
x = -3

[State 68, velocity]
type = VelSet
trigger1 = time = 17
x = 0

[State 68, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Meditate
;---------

[Statedef 70]
Type = S
MoveType = I
Physics = S
anim = 70
sprpriority = 1
ctrl = 0

[State 70, fx]
type = Explod
trigger1 = AnimElem = 1
anim = 71
ID = 70
pos = 0, 0
postype = P1
sprpriority = 2
bindtime = -1
removetime = -1
ownpal = 1
pausemovetime = 100

[State 70, add power]
type = VarAdd
trigger1 = 1
v = 23
value = 4

[State 70, end state]
type = ChangeState
trigger1 = command != "hold_b"
trigger2 = var(23) >= 1000
value = 0
ctrl = 1



; Roll Forward Get Up
;--------------------

[Statedef 72]
Type = C
MoveType = I
Physics = N
sprpriority = -2
ctrl = 0

[State 72, animation]
type = ChangeAnim
trigger1 = time = 0
value = ifelse(anim = 5110, 72, 74)

[State 72, velset]
type = VelSet
trigger1 = AnimElem = 3
x = 4.8

[State 72, velset]
type = VelSet
trigger1 = AnimTime = 3
x = 0

[State 72, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 72, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 72, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Roll Back Get Up
;-----------------

[Statedef 76]
Type = C
MoveType = I
Physics = N
sprpriority = -2
ctrl = 0

[State 76, animation]
type = ChangeAnim
trigger1 = time = 0
value = ifelse(anim = 5110, 76, 78)

[State 76, velset]
type = VelSet
trigger1 = AnimElem = 3
x = -4.8

[State 76, velset]
type = VelSet
trigger1 = AnimTime = 5
x = 0

[State 76, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 76, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 76, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Run
;----

[Statedef 100]
Type = S
MoveType = I
Physics = N
anim = 100
sprpriority = 1
ctrl = 0

[State 100, velocity]
type = VelSet
trigger1 = 1
x = const(velocity.run.fwd.x)

[State 100, 2] ;Prevent run from canceling into walk
type = AssertSpecial
trigger1 = 1
flag = NoWalk

[State 100, 3] ;Prevent from turning
type = AssertSpecial
trigger1 = 1
flag = NoAutoTurn

[State 100, run sound]
type = PlaySnd
triggerall = var(0) = 0
trigger1 = time = 0
trigger2 = (GameTime%47) = 0
value = 100, 3
channel = 1

[State 100, emergency stop state] ; brake when stop running
type = ChangeState
trigger1 = command = "holdback"
value = 102

[State 100, end state] ; brake when stop running
type = ChangeState
trigger1= command != "holdfwd"
value = 101



; Brake
;------

[Statedef 101]
Type = S
MoveType = I
Physics = S
anim = 101
sprpriority = 1
ctrl = 0

[State 101, velocity]
type = VelSet
trigger1 = time = 0
x = 3.5
y = 0

[State 101, friction]
type = VelMul
trigger1 = 1
x = 1.12

[State 101, dust 01]
type = MakeDust
trigger1 = var(0) = 0
trigger1 = vel x > 0
pos = -15, 0
spacing = 3

[State 101, dust 02]
type = MakeDust
trigger1 = var(0) = 0
trigger1 = vel x > 0
pos = 35, 0
spacing = 3

[State 101, brake sound]
type = PlaySnd
trigger1 = var(0) = 0
trigger1 = Time = 1
value = 100, 4
channel = 1

[State 101, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Emergency Stop
;---------------

[Statedef 102]
Type = S
MoveType = I
Physics = S
anim = 102
sprpriority = 1
ctrl = 0

[State 102, velocity]
type = VelSet
trigger1 = time = 0
x = 2

[State 102, friction]
type = VelMul
trigger1 = 1
x = 1.12

[State 102, dust 01]
type = MakeDust
trigger1 = var(0) = 0
trigger1 = vel x > 0
pos = -15, 0
spacing = 3

[State 102, dust 02]
type = MakeDust
trigger1 = var(0) = 0
trigger1 = vel x > 0
pos = 35, 0
spacing = 3

[State 102, brake sound]
type = PlaySnd
trigger1 = var(0) = 0
trigger1 = Time = 1
value = 100, 4
channel = 1

[State 102, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Hop back
;---------

[Statedef 105]
Type = A
MoveType = I
Physics = A
Anim = 105
SprPriority = 1
ctrl = 0

[State 105, velocity]
type = VelSet
trigger1 = time = 0
x = const(velocity.run.back.x)
y = const(velocity.run.back.y)

[State 105, vel add]
type = VelAdd
trigger1 = Time > 0
y = -0.15

[State 105, voice]
type = PlaySnd
trigger1 = var(0) = 0 && Time = 1
value = 0, 0
channel = 0

[State 105, jump sound]
type = PlaySnd
trigger1 = Time = 1
value = 100, 1
channel = 1

[State 105, change state]
type = ChangeState
trigger1 = AnimTime = 0
value = 52



; Suicide ; Adapted from C Kenny's and System ID's Sogetsu
;--------

[Statedef 110]
type = S
anim = 110
velset = 0,0
ctrl = 0

[State 110, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 110, assert special]
type = AssertSpecial
trigger1 = 1
flag = NoKOSnd
flag2 = NoBg
flag3 = NoFg

[State 110, life]
type = LifeSet
trigger1 = AnimElem = 26
value = 0

[State 110, power] ; power gauge full in new modes
type = PowerSet
trigger1 = const(movement.yaccel) != 0.66
trigger1 = AnimElem = 26
value = 3000

[State 110, power] ; hit gauge full
type = VarSet
trigger1 = var(20) = 0 && AnimElem = 26
v = 23
value = 1000

[State 110, power] ; rage gauge full
type = VarSet
trigger1 = var(20) = 1 && AnimElem = 26
v = 21
value = 1000

[State 110, voice]
type = PlaySnd
trigger1 = Time = 1
value = 12, 0
channel = 0

[State 110, end state]
type = ChangeState
trigger1 = AnimElem = 26
value = 5150



; Stand Guarding A Hit
;---------------------
; Shaking
;--------
[Statedef 150]
Type = S
MoveType= H
Physics = N
SprPriority = -1
velset = 0,0

[State 150, animation] ; stand alone
type = ChangeAnim
trigger1 = var(0) = 0 && time = 0
value = 150 + 3*(enemy, StateType = A) + 4*(PrevStateNo = [150,153])

[State 150, animation] ; carried by Shikuruu
type = ChangeAnim
trigger1 = var(0) = 20 && time = 0
value = 8130

[State 150, end state]
type = ChangeState
trigger1 = HitShakeOver
value = 151

[State 150, Hi to Lo]
type = StateTypeSet
trigger1 = statetype = S && command = "holddown"
statetype = C
physics = C

[State 150, Lo to Hi]
type = StateTypeSet
trigger1 = statetype = C && command != "holddown"
statetype = S
physics = S

[State 150, force feedback]
type = ForceFeedback
trigger1 = time = 0
waveform = square
time = 3



;================================================================================================
;
; MINA'S INTROS, ENDINGS & TAUNT
; 
;================================================================================================

; Time Over
;----------

[StateDef 170]
type = S
movetype = I
physics = S
anim = 175
sprpriority = 1
velset = 0,0
ctrl = 0

[State 183, voice]
type = PlaySnd
trigger1 = AnimElem = 5
value = 10,1
channel = 1

[State 170, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA



; Win
;----

; Choose Win Pose
;----------------

[StateDef 180]
type = S
movetype = I
physics = S
velset = 0,0
ctrl = 0

[State 180, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 180, assert special]
type = AssertSpecial
trigger1 = 1
flag = RoundNotOver

[State 180, 0]
type = ChangeState
trigger1 = 1
trigger1 = Life <= 100
value = 185

[State 180, 1]
type = VarRandom
trigger1 = Time = 0
v = 1
range = 5

[State 180, 1]
type = ChangeState
trigger1 = 1
trigger1 = var(1) = 0
value = 181

[State 180, 2]
type = ChangeState
trigger1 = 1
trigger1 = var(1) = 1
value = 182

[State 180, 3]
type = ChangeState
trigger1 = 1
trigger1 = var(1) = 2
value = 183

[State 180, 3]
type = ChangeState
trigger1 = 1
trigger1 = var(1) = 3
value = 184

[State 180, 3]
type = ChangeState
trigger1 = 1
trigger1 = var(1) = 4
value = 185

[State 180, 3]
type = ChangeState
trigger1 = 1
trigger1 = var(1) = 5
value = 186



; 1st Win Pose
;-------------

[StateDef 181]
type = S
movetype = I
physics = S
anim = 181
sprpriority = 1

[State 183, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 183, voice]
type = PlaySnd
trigger1 = Time = 1
value = 181,0
channel = 1

[State 183, assert special]
type = AssertSpecial
trigger1 = time <= 120
flag = RoundNotOver



; 2nd Win Pose
;-------------

[StateDef 182]
type = S
movetype = I
physics = S
anim = 182
sprpriority = 1
velset = 0,0

[State 182, ScreenBound]
type = ScreenBound
trigger1 = 1
value = 0

[State 182, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 182, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 182, voice]
type = PlaySnd
trigger1 = anim = 182
trigger1 = AnimElem = 5
value = 182,0
channel = 1

[State 182, running animation]
type = ChangeAnim
trigger1 = anim = 100
trigger1 = Animtime = 0
value = 100

[State 182, running velocity]
type = VelSet
trigger1 = anim = 182
x = const(velocity.run.fwd.x)

[State 182, assert special]
type = AssertSpecial
trigger1 = time <= 180
flag = RoundNotOver



; 3rd Win Pose
;-------------

[StateDef 183]
type = S
movetype = I
physics = S
anim = 180
sprpriority = 1

[State 184, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 184, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 180,0
channel = 1

[State 184, assert special]
type = AssertSpecial
trigger1 = time <= 120
flag = RoundNotOver



; 4th Win Pose
;-------------

[StateDef 184]
type = S
movetype = I
physics = S
anim = 183
sprpriority = 1

[State 184, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 184, voice]
type = PlaySnd
trigger1 = AnimElem = 5
value = 183,0
channel = 1

[State 184, assert special]
type = AssertSpecial
trigger1 = time <= 120
flag = RoundNotOver



; 5th Win Pose
;-------------

[StateDef 185]
type = S
movetype = I
physics = S
sprpriority = 1

[State 185, animation]
type = ChangeAnim
trigger1 = anim != 184
trigger1 = helper(8000), stateno = 8541
value = 184

[State 185, assert special]
type = AssertSpecial
trigger1 = time <= 230
flag = RoundNotOver



; 6th Win Pose
;-------------

[StateDef 186]
type = S
movetype = I
physics = S
sprpriority = 1

[State 185, animation]
type = ChangeAnim
trigger1 = anim != 185
trigger1 = helper(8000), stateno = 8541
value = 185

[State 186, assert special]
type = AssertSpecial
trigger1 = time <= 180
flag = RoundNotOver



; Choose Intro Pose
;------------------

[StateDef 190]
type = S
movetype = I
physics = S
sprpriority = 1

[State 190, 1]
type = VarRandom
trigger1 = Time = 0
v = 1
range = 1

[State 190, 1]
type = ChangeState
trigger1 = 1
trigger1 = var(1) = 0
value = 191

[State 190, 2]
type = ChangeState
trigger1 = 1
trigger1 = var(1) = 1
value = 192



; Intro 1
;-------- 

[StateDef 191]
anim = 190
type = S
movetype = I
physics = S
sprpriority = 1

[State 191, assert special]
type = AssertSpecial
trigger1 = 1
flag = intro

[State 191,Explod]
type = Explod
trigger1 = AnimElem = 1, = 0
anim = 191
ID = 191
pos = 0, 0
postype = P1
sprpriority = 0
ontop = 1
bindtime = -1
removetime = -2
ownpal = 1

[State 191, create Champuru]
type = Helper
trigger1 = time = 0
name = "Champuru"
ID = 8000
pos = -15,0
postype = back
stateno = 8190
keyctrl = 0
ownpal = 1
size.xscale = const(size.xscale)
size.yscale = const(size.yscale)
size.ground.back = 5
size.ground.front = 5
size.air.back = 5
size.air.front = 5
size.shadowoffset = 8

[State 191, voice]
type = PlaySnd
trigger1 = AnimElem = 1
value = 182,0
channel = 1

[State 191, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0



; Intro 2
;-------- 

[StateDef 192]
anim = 192
type = S
movetype = I
physics = S
sprpriority = 1

[State 192, assert special]
type = AssertSpecial
trigger1 = 1
flag = intro

[State 192, create Champuru]
type = Helper
trigger1 = time = 0
name = "Champuru"
ID = 8000
pos = -111,0
stateno = 8195
keyctrl = 0
ownpal = 1
size.xscale = const(size.xscale)
size.yscale = const(size.yscale)
size.ground.back = 5
size.ground.front = 5
size.air.back = 5
size.air.front = 5
size.shadowoffset = 8

[State 192, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0



; Taunt
;------

[StateDef 195]
type = S
movetype = I
physics = S
sprpriority = 1
velset = 0,0
ctrl = 0

[State 195, animation]
type = ChangeAnim
trigger1 = anim != 195
value = 195

[State 195, voice]
type = PlaySnd
trigger1 = time = 1
value = 195,0
channel = 1

[State 195, 3]
type = Ctrlset
trigger1 = time >= 30
value = 1

[State 195, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



;================================================================================================
;
; MINA'S MISC STATES
;
;================================================================================================

[Statedef -3]

; Width
;------
[State -2, crouch width]
type = width
trigger1 = statetype = C
value = 19,6

; Create Champuru
;----------------
[State -3, create Champuru]
type = Helper
triggerall = NumHelper(8000) = 0
trigger1 = RoundState = 1
trigger2 = RoundState = 2
name = "Champuru"
ID = 8000
pos = 32,0
stateno = 8000
keyctrl = 0
ownpal = 1
size.xscale = const(size.xscale)
size.yscale = const(size.yscale)
size.ground.back = 5
size.ground.front = 5
size.air.back = 5
size.air.front = 5
size.shadowoffset = 8


; Rage Mode
;----------

; Activate/Desactivate Rage Mode
;-------------------------------
[state -3, set rage mode]			; Switch ON/OFF the Rage Mode
type = VarSet					; ---------------------------
triggerall = RoundState = 2			; if the round isn't finished
trigger1 = var(20) = 0 && var(23) >= 1000	; if the player isn't enraged but the Hit Gauge is full
trigger2 = var(20) = 1 && var(21) <= 0	; or the player is enraged but the Rage Gauge is empty
v = 20						;
value = 0 + (var(23) >= 1000)			; then set the Rage Mode (ON if Hit Gauge full ; OFF if rage gauge empty)

; Rage Gauge
;-----------
[state -3, initialize rage gauge]		; Initialize the Rage Gauge
type = VarSet					; -------------------------
triggerall = RoundState = 2			; if the round isn't finished
trigger1 = var(23) >= 1000			; if the Hit  Gauge is full  (player starts being enraged)
trigger2 = var(21) <= 0				; or the Rage Gauge is empty (player stops being enreged)
v = 21						;
value = 0 + 1000*(var(23) >= 1000)		; then set the Rage Gauge (full if enraged ; empty if not enraged)

[state -3, decrease rage gauge]		; Decrease the Rage Gauge
type = VarSet					; -----------------------
triggerall = RoundState = 2			; if the round isn't finished
triggerall = stateno != [4511, 4512]	; if the player isn't in a Tag state
trigger1 = var(21) > 0				; if the Rage Gauge isn't empty
v = 21						;
value = var(21)-1					; then decrese the Rage Gauge

[state -3, increase rage gauge]		; Increase the Rage Gauge when player is hit (deactivated here)
type = null;VarAdd				; ------------------------------------------
triggerall = RoundState = 2			; if the round isn't finished
trigger1 = var(20) = 1				; if the player is enraged
trigger1 = var(24) != life			; if the player has lost life (has been hit)
v = 21						;
value = ceil((var(24)-life)*1.20)		; then Hit Gauge <- (lost life) + (0.2 x lost life)

; Rage Explosion Mode
;--------------------
[state -3, initialize rage explosion mode] ; Initialize the Rage Explosion mode (deactivated here)
type = null;VarSet				 ; ----------------------------------
triggerall = RoundState = 2			 ; if the round isn't finished
trigger1 = var(21) <= 0 && var(22) = 1	 ; if the Rage Gauge is empty and the Rage Explosion mode is activated
v = 22						 ;
value = 0						 ; then remove the Rage Explosion mode

; Hit Gauge
;----------
[state -3, initialize hit gauge]		  ; Deactivate the Hit Gauge when player is enraged
type = VarSet					  ; -----------------------------------------------
triggerall = RoundState = 2			  ; if the round isn't finished
trigger1 = var(20) = 1				  ; if the player is enraged
v = 23						  ;
value = 0						  ; then set the Hit Gauge to zero

[state -3, increase hit gauge]		  ; Increase the Hit Gauge when player is hit
type = VarSet					  ; -----------------------------------------
triggerall = RoundState = 2			  ; if the round isn't finished
trigger1 = var(22) = 0 && var(25) = 0	  ; if the Rage Explosion or Mu no Kyouchi haven't been activated
trigger1 = var(24) != life			  ; if the player has lost life (has been hit)
v = 23						  ;
value = var(23) + ceil((var(24)-life)*1.20) ; then Hit Gauge <- (lost life) + (0.2 x lost life)

; Life Gauge
;-----------
[state -3, set life gauge]			; Check if the player has lost life :
type = VarSet					; -----------------------------------
trigger1 = var(24) != life			; if   Life Gauge != Life Bar
v = 24						;
value = life					; then Life Gauge <= Life Bar



; AI - 1st part
;--------------

; The 2nd part is in the -2 states

[State -3, SetAI]
type = null;VarSet
triggerall = !RoundState
triggerall = IsHomeTeam
trigger1 = (TeamSide = 2)
trigger2 = (MatchNo > 1)
var(59) = 1

[State -3, Unfair]; Is this reliable?
type = null;VarSet
trigger1 = !RoundState
trigger1 = (var(59) != 1)
trigger1 = NumPartner
trigger1 = (ID > Partner,ID)
trigger1 = (TeamSide = 2)
var(59) = 1

[State -3, AI Helper with Twin]; Well, twin or other compatible partner.
type = null;Helper
triggerall = !var(59)
triggerall = !NumHelper(9742)
triggerall = (RoundState = 2)
triggerall = Alive
triggerall = NumPartner
trigger1 = (P3Name = "Kung Fu Man AI"); Either like this, or the next line if you make all your chars compatible.
trigger2 = (Partner,AuthorName = "Roque")
HelperType = normal
name = "AI Helper Twin"
ID = 9742
pos = 9999999,99999
StateNo = 9742
KeyCtrl = 1
PauseMoveTime = 999999999
SuperMoveTime = 999999999

[State -3, AI Helper]
type = null;Helper
;trigger1 = (MatchNo = 1)
trigger1 = !var(59)
trigger1 = !NumHelper(9741)
trigger1 = !NumHelper(9742)
trigger1 = (RoundState = 2)
trigger1 = Alive
HelperType = normal
name = "AI Helper"
ID = 9741
pos = 9999999,99999
StateNo = 9741
KeyCtrl = 1
PauseMoveTime = 999999999
SuperMoveTime = 999999999

[State -3, TurnBackOnAI]
type = null;VarSet
trigger1 = (var(59) = -2)
trigger1 = (RoundState = 2)
trigger1 = Alive
var(59) = 1

[State -3, XOR]
type = null;VarSet
triggerall = var(59)!=1
trigger1 = (command = "a") ^^ (command = "a2")
trigger2 = (command = "b") ^^ (command = "b2")
;trigger3 = (command = "c") ^^ (command = "c2")
trigger3 = (command = "x") ^^ (command = "x2")
trigger4 = (command = "y") ^^ (command = "y2")
;trigger6 = (command = "z") ^^ (command = "z2")
trigger5 = (command = "start") ^^ (command = "start2")
trigger6 = (command = "holdfwd") ^^ (command = "holdfwd2")
trigger7 = (command = "holdback") ^^ (command = "holdback2")
trigger8 = (command = "holdup") ^^ (command = "holdup2")
trigger9 = (command = "holddown") ^^ (command = "holddown2")
trigger10 = (command = "F") ^^ (command = "F2")
trigger11 = (command = "B") ^^ (command = "B2")
trigger12 = (command = "U") ^^ (command = "U2")
trigger13 = (command = "D") ^^ (command = "D2")
;Add more as desired. (See my notes in the CMD.)
var(59) = 1

[State -3, GameTimeVar]
type = Null
trigger1 = (var(58):=GameTime)
IgnoreHitPause = 1



[Statedef -2]

; Display Velocity and Position
;------------------------------
[State -2, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "AI = %d\nVel(%f,%f) Pos(%f,%f)"
params = var(59),Vel X,Vel Y,Pos X,Pos Y

; Display Rage Mode Infos
;------------------------
[State -2, display rage mode]
type = null;DisplayToClipboard
trigger1 = 1
text = "Rage Explosion = %d, Rage Mode = %d\nRage Gauge = %d, Hit Gauge = %d, Life Gauge = %d"
params = var(22),var(20),var(21),var(23),var(24)

; Display Mu no Kyouchi
;----------------------
[State -2, display mu no kyouchi mode]
type = null;DisplayToClipboard
trigger1 = 1
text = "Mu no Kyouchi = %d, Timer = %d"
params = var(25),var(26)

; Remove Aura - remove the aura when the player is no more in his concentration state (finished, hit or thrown)
;------------
[State -2, remove aura]
type = RemoveExplod
triggerall = name = "Mina"
trigger1 = StateNo != 70
ID = 70

; Remove Super Dust
;------------------
[State -2, remove dust]
type = RemoveExplod
triggerall = name = "Mina"
trigger1 = StateNo != [3600, 3610]
ID = 3600

; Power Bar
;----------
[state -2, set power bar]
type = PowerSet
triggerall = name = "Mina"	; prevents to remove any "161" animation from the enemy
triggerall = RoundState = 2
triggerall = stateno != [4511, 4512]
triggerall = life > 0
trigger1 = var(20) = 0 && var(25) = 0 && power != var(23)	; when no special modes : Power = Hit Gauge
trigger2 = var(20) = 1 && power != var(21)			; when Rage Mode		: Power = Rage Gauge
trigger3 = var(25) = 1 && power != var(26)			; when Mu no Kyouchi	: Power = Timer
value = ifelse(var(20)=1, var(21), ifelse(var(25)=1, var(26), var(23)))
ignorehitpause

; Rage Mode
;----------
[State -2, blink]
type = PalFx
trigger1 = RoundState = 2 && life > 0
trigger1 = var(20) = 1
time = 1
add = 75,75,75
ignorehitpause = 1

[State -2, rage explosion background]
type = BgPalFx
trigger1 = RoundState = 2 && life > 0
trigger1 = stateno != [4511, 4512]
trigger1 = var(20) = 1 && var(22) = 1
time = 1
add = -256,-44,-72
mul = 0,205,256
ignorehitpause = 1

; Mu no Kyouchi
;--------------
[State -2, mu_no kyouchi timer]
type = VarSet
triggerall = RoundState = 2 && life > 0
triggerall = stateno != [4511, 4512]
triggerall = stateno != 3500
trigger1 = var(25) = 1 && var(26) > 0
v = 26
value = var(26) -4

[State -2, mu_no kyouchi background]
type = BgPalFx
trigger1 = RoundState = 2 && life > 0
trigger1 = stateno != [4511, 4512]
trigger1 = var(25) = 1 && var(26) > 0
time = 1
color = 0
ignorehitpause = 1

[State -2, mu_no kyouchi slower]
type = Pause
trigger1 = RoundState = 2 && life > 0
trigger1 = stateno != [4511, 4512]
trigger1 = var(25) = 1 && var(26) > 0 && gametime%3 = 0
time = 2
movetime = 2
pausebg = 0

; AI - 2nd part
;--------------

; The 1st part is in the -3 states

[State -2, StopAI]
type = VarSet
triggerall = (var(59) > 0)
trigger1 = (RoundState != 2)
trigger2 = !Alive
var(59) = -2
IgnoreHitPause = 1
